Bug 159163 - local variable used before set
local variable used before set
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-05-30 17:53 EDT by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-31 16:26:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 314985 None None None Never

  None (edit)
Description David Binderman 2005-05-30 17:53:34 EDT
Description of problem:

I just tried to compile package gnome-applets-2.10.1-9 from Redhat Fedora
Core development tree with the most excellent Intel C compiler.

The compiler said

applet.c(150): remark #592: variable "file" is used before its value is set

The source code is

	g_warning (G_STRLOC ": cannot open %s: %s", file, error->message);

Suggest initialise local variable "file" before first use.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Ray Strode [halfline] 2005-08-31 14:56:33 EDT

It looks like the code in question is dead-code that will never be run. 
Nevertheless, could you file this upstream?
Comment 2 David Binderman 2005-08-31 15:17:16 EDT
>Nevertheless, could you file this upstream?

Sorry, no. 

This package got deleted from my computer months ago.

If you have the package immediately to hand, maybe you might like
to submit this bug upstream ?
Comment 3 Ray Strode [halfline] 2005-08-31 15:50:57 EDT
Comment 4 Ray Strode [halfline] 2005-08-31 16:26:48 EDT

I've filed the bug upstream here:


You can track its progress there, if you like.

Note You need to log in before you can comment on or make changes to this bug.